Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.lcm.util
Class LCMSwitch

    java.lang.Object
      org.eclipse.ohf.ihe.common.ebxml._3._0.lcm.util.LCMSwitch

    public class LCMSwitch

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `LCMPackage`

Constructor Summary
`LCMSwitch()` Creates an instance of the switch.

Method Summary
`java.lang.Object` | `caseAcceptObjectsRequestType(AcceptObjectsRequestType object)` Returns the result of interpretting the object as an instance of 'Accept Objects Request Type'.
`java.lang.Object` | `caseApproveObjectsRequestType(ApproveObjectsRequestType object)` Returns the result of interpretting the object as an instance of 'Approve Objects Request Type'.
`java.lang.Object` | `caseDeprecateObjectsRequestType(DeprecateObjectsRequestType object)` Returns the result of interpretting the object as an instance of 'Deprecate Objects Request Type'.
`java.lang.Object` | `caseDocumentRoot(DocumentRoot object)` Returns the result of interpretting the object as an instance of 'Document Root'.
`java.lang.Object` | `caseRegistryRequestType(RegistryRequestType object)` Returns the result of interpretting the object as an instance of 'Request Type'.
`java.lang.Object` | `caseRelocateObjectsRequestType(RelocateObjectsRequestType object)` Returns the result of interpretting the object as an instance of 'Relocate Objects Request Type'.
`java.lang.Object` | `caseRemoveObjectsRequestType(RemoveObjectsRequestType object)` Returns the result of interpretting the object as an instance of 'Remove Objects Request Type'.
`java.lang.Object` | `caseSubmitObjectsRequestType(SubmitObjectsRequestType object)` Returns the result of interpretting the object as an instance of 'Submit Objects Request Type'.
`java.lang.Object` | `caseUndeprecateObjectsRequestType(UndeprecateObjectsRequestType object)` Returns the result of interpretting the object as an instance of 'Undeprecate Objects Request Type'.
`java.lang.Object` | `caseUpdateObjectsRequestType(UpdateObjectsRequestType object)` Returns the result of interpretting the object as an instance of 'Update Objects Request Type'.
`java.lang.Object` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpretting the object as an instance of 'EObject'.
`java.lang.Object` | `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LCMSwitch

    public LCMSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseAcceptObjectsRequestType

    public java.lang.Object caseAcceptObjectsRequestType(AcceptObjectsRequestType object)

  Returns the result of interpretting the object as an instance of 'Accept Objects Request Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Accept Objects Request Type'.
  See Also:
    `doSwitch(EObject)`

### caseApproveObjectsRequestType

    public java.lang.Object caseApproveObjectsRequestType(ApproveObjectsRequestType object)

  Returns the result of interpretting the object as an instance of 'Approve Objects Request Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Approve Objects Request Type'.
  See Also:
    `doSwitch(EObject)`

### caseDeprecateObjectsRequestType

    public java.lang.Object caseDeprecateObjectsRequestType(DeprecateObjectsRequestType object)

  Returns the result of interpretting the object as an instance of 'Deprecate Objects Request Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Deprecate Objects Request Type'.
  See Also:
    `doSwitch(EObject)`

### caseDocumentRoot

    public java.lang.Object caseDocumentRoot(DocumentRoot object)

  Returns the result of interpretting the object as an instance of 'Document Root'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Document Root'.
  See Also:
    `doSwitch(EObject)`

### caseRelocateObjectsRequestType

    public java.lang.Object caseRelocateObjectsRequestType(RelocateObjectsRequestType object)

  Returns the result of interpretting the object as an instance of 'Relocate Objects Request Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Relocate Objects Request Type'.
  See Also:
    `doSwitch(EObject)`

### caseRemoveObjectsRequestType

    public java.lang.Object caseRemoveObjectsRequestType(RemoveObjectsRequestType object)

  Returns the result of interpretting the object as an instance of 'Remove Objects Request Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Remove Objects Request Type'.
  See Also:
    `doSwitch(EObject)`

### caseSubmitObjectsRequestType

    public java.lang.Object caseSubmitObjectsRequestType(SubmitObjectsRequestType object)

  Returns the result of interpretting the object as an instance of 'Submit Objects Request Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Submit Objects Request Type'.
  See Also:
    `doSwitch(EObject)`

### caseUndeprecateObjectsRequestType

    public java.lang.Object caseUndeprecateObjectsRequestType(UndeprecateObjectsRequestType object)

  Returns the result of interpretting the object as an instance of 'Undeprecate Objects Request Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Undeprecate Objects Request Type'.
  See Also:
    `doSwitch(EObject)`

### caseUpdateObjectsRequestType

    public java.lang.Object caseUpdateObjectsRequestType(UpdateObjectsRequestType object)

  Returns the result of interpretting the object as an instance of 'Update Objects Request Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Update Objects Request Type'.
  See Also:
    `doSwitch(EObject)`

### caseRegistryRequestType

    public java.lang.Object caseRegistryRequestType(RegistryRequestType object)

  Returns the result of interpretting the object as an instance of 'Request Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Request Type'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public java.lang.Object defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpretting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD